## python-beautifulsoup 3.0.7-0maemo2

=== Makefile ===
all:
	python2.5 setup.py build
clean:
	python2.5 setup.py clean --all
install:
	python2.5 setup.py install --optimize=2 --no-compile --root $(DESTDIR)

=== debian/changelog ===
python-beautifulsoup (3.0.7-0maemo2) unstable; urgency=low

  * Mistakenly removed copyright is back in the package

 -- George Kibardin <george-kibardin@yandex.ru>  Thu, 18 Sep 2008 23:27:14 +0400

python-beautifulsoup (3.0.7-0maemo1) unstable; urgency=low

  * Initial release

 -- George Kibardin <george-kibardin@yandex.ru>  Mon, 15 Sep 2008 12:50:14 +0400

=== debian/control ===
Source: python-beautifulsoup
Section: web
Priority: optional
Maintainer: George Kibardin <george-kibardin@yandex.ru>
Build-Depends: debhelper (>= 5), python2.5-dev
Standards-Version: 3.7.2

Package: python-beautifulsoup
Architecture: all
Depends: python2.5
Description: error-tolerant HTML parser for Python
 The BeautifulSoup class turns arbitrarily bad HTML into a tree-like nested
 tag-soup list of Tag objects and text snippets. A Tag object corresponds to
 an HTML tag.  It knows about the HTML tag's attributes, and contains a
 representation of everything contained between the original tag and its
 closing tag (if any). It's easy to extract Tags that meet certain criteria.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/python-beautifulsoup.sgml > python-beautifulsoup.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/python-beautifulsoup.
	$(MAKE) DESTDIR=$(CURDIR)/debian/python-beautifulsoup install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do here.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
